GE_QMASTER(8)

NAME
ge_qmaster - Grid Engine master control daemon

SYNOPSIS
ge_qmaster [ -help ]

DESCRIPTION
ge_qmaster controls the overall Grid Engine behavior in a cluster.

OPTIONS

-help
    Prints a listing of all options.

ENVIRONMENTAL VARIABLES

GE_ROOT
    Specifies the location of the Grid Engine standard configuration files.

GE_CELL
    If set, specifies the default Grid Engine cell. To address a Grid Engine cell ge_qmaster uses (in the order of precedence):

        The name of the cell specified in the environment variable GE_CELL, if it is set.

        The name of the default cell, i.e. default.

GE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

GE_QMASTER_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_qmaster" instead to define that port.

GE_EXECD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_execd" instead to define that port.

RESTRICTIONS
ge_qmaster is usually started from root on the master or shadow master machines of the cluster (refer to the Grid Engine Installation and Administration Guide for more information about the configuration of shadow master hosts). If started by a normal user, a master spool directory must be used to which the user has read/write access. In this case only jobs being submitted by that same user are handled correctly by the system.

FILES
<ge_root>/<cell>/common/configuration
	Grid Engine global configuration
<ge_root>/<cell>/common/local_conf/<host>
	Grid Engine host specific configuration
<ge_root>/<cell>/common/qmaster_args
	ge_qmaster argument file
<ge_root>/<cell>/spool
	Default master spool directory

SEE ALSO
Grid Engine Installation and Administration Guide

COPYRIGHT
See for a full statement of rights and permissions.